# This spec file was written by Robert R. Wal <rrw@reptile.eu.org>
# for version 0.2.2; I'm trivially modifying it for later versions.
# 		-- David Madore
#
# $Id: ftpd-BSD.spec,v 1.4 1999/11/19 17:31:12 rrw Exp $
#

Summary: OpenBSD's ftpd ported to Linux
Name: ftpd-BSD
Version: 0.3.3
Release: 1tr
Copyright: BSD-like
Group: Network/Services
Source: ftp://ftpd-bsd.psychasia.com/pub/ftpd-bsd/ftpd-bsd-%{version}.tar.gz
Source1: ftpd-BSD.logrotate.conf
Source2: ftpd-BSD.init
Source3: ftpd-BSD-pam.sample
BuildRoot: /tmp/%{name}-%{version}-root
Provides: ftpserver
Prereq: gawk /sbin/restart_maybe /sbin/chkconfig

%description
This is a Linux port of the BSD ftp server (ftpd).  It doesn't have
all the bells and whistles of wu-ftpd, but it is also probably less
buggy and more secure (at least, it was certainly so before I ported
it, and I hope I didn't mess things up *too* much).

%prep
%setup -n ftpd-bsd-%{version}

%build

make OPT_CFLAGS="$RPM_OPT_FLAGS"

%install

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/var/log
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,share/man/man8}
mkdir -p $RPM_BUILD_ROOT/etc/{pam.d,rc.d/init.d,logrotate.d}
install -s ftpd $RPM_BUILD_ROOT/usr/sbin/ftpd
install ftpd.8 $RPM_BUILD_ROOT/usr/share/man/man8/ftpd.8
install $RPM_SOURCE_DIR/ftpd-BSD-pam.sample $RPM_BUILD_ROOT/etc/pam.d/ftp
install -m 755 $RPM_SOURCE_DIR/ftpd-BSD.init $RPM_BUILD_ROOT/etc/rc.d/init.d/ftpd
install -m 755 $RPM_SOURCE_DIR/ftpd-BSD.logrotate.conf $RPM_BUILD_ROOT/etc/logrotate.d/ftpd
touch $RPM_BUILD_ROOT/var/log/ftpd

gzip -9 $RPM_BUILD_ROOT/usr/share/man/man8/ftpd.8

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/%{name}-%{version}

%post
if [ ! -s /etc/ftpusers ]; then
      awk -F: '{ if ( $3 < 500 ) print $1 }' /etc/passwd > /etc/ftpusers
fi
# Restart service after upgrade.
/sbin/restart_maybe ftpd 

%files
%defattr(-,root,root,-)
%doc README README.madore Makefile Makefile.ORIGINAL GMT-WARNING

%attr(755,root,root)				/usr/sbin/ftpd
%attr(755,root,root)				/etc/rc.d/init.d/ftpd
%attr(644,root,root)	%config(noreplace)	/etc/pam.d/ftp
%attr(644,root,man)	%doc			/usr/share/man/man8/ftpd.8.gz
%attr(600,root,root)				/var/log/ftpd
%attr(644,root,root)				/etc/logrotate.d/ftpd

%changelog
* Tue Jun  5 2001 Oystein Viggen <oysteivi@trustix.com>
- New upstream version: 0.3.3
- replydirname() patch removed (applied upstream)

* Wed Feb 21 2001 Erlend Midttun <erlendbm@trustix.com>
- Renamed ftpd-BSD to ftpd to make it match the pid files.

* Mon Dec 18 2000 Oystein Viggen <oysteivi@trustix.com>
- Fix a possible buffer overrun in replydirname()

* Mon Sep 18 2000 Erlend Midttun <erlendbm@trustix.com>
- Fixed typo preventing /etc/ftpusers to be created

* Wed Jul 26 2000 Oystein Viggen <oysteivi@trustix.com>
- Upgraded to 0.3.2
- Generate /etc/ftpusers if this does not already exist

* Thu May 04 2000 Erlend Midttun <erlendbm@trustix.com>
- Upgraded to 0.3.1

* Thu Mar 02 2000 Lars Gaarden <larsg@trustix.com>
- corrected init-script. Failed on status.

* Sat Feb 26 2000 Erlend Midttun <erlendbm@trustix.com>
- Adapted man pages to FHS
- Correct optimizations

* Sun Jan 23 2000 David A. Madore <david.madore@ens.fr>
  [0.3.0-1]
- adapted for version 0.3.0 (IPv6 support)

* Fri Nov 19 1999 David A. Madore <david.madore@ens.fr>
  [0.2.3-1]
- adapted for version 0.2.3 (sync'ed with OpenBSD 2.6)

* Fri Nov 19 1999 Robert R. Wal <rrw@reptile.eu.org>
  [0.2.2-2]
- removed "conflicts" and added packager info
- added %config(noreplace) to pam.d/ftp

* Wed Nov  3 1999 Robert R. Wal <rrw@reptile.eu.org>
  [0.2.2-1]
- initial release with 0.2.2
